package lu.tudor.santec.gecamed.patient.gui;

import javax.swing.JToggleButton;

/**
 * @author jens.ferring(at)tudor.lu
 * 
 * @version
 * <br>$Log: PermanentlyDisableableToggleButton.java,v $
 */

public class PermanentlyDisableableToggleButton extends JToggleButton
{
	private static final long	serialVersionUID	= 1L;
	
	private boolean permanentlyDisabled = false;
	
	
	public void setEnabled(boolean b) 
	{
		if (b && permanentlyDisabled)
			return;
		else
			super.setEnabled(b);
	}
	
	
	public void setPermanentlyDisabled (boolean flag)
	{
		permanentlyDisabled = flag;
	}
}
